Skip to main content
`Ctrl`+`K`

# PFInitializePackage

This function initializes everything in the `PF` package. It is called from PetscDLLibraryRegister_petscvec() when using dynamic libraries, and on the first call to `PFCreate()` when using shared or static libraries.

## Synopsis

    #include "petscpf.h"
    PetscErrorCode PFInitializePackage(void)

## See Also

`PF`, `PetscInitialize()`

## Level

developer

## Location

src/vec/pf/interface/pf.c

Index of all PF routines
Table of Contents for all manual pages
Index of all manual pages